> ## Documentation Index
> Fetch the complete documentation index at: https://docs.totoy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the content of a Source.

> The Source content can either be a plain text string or a document file.



## OpenAPI

````yaml /api-reference/openapi.yaml get /sources/{source_id}/content
openapi: 3.0.3
info:
  title: Totoy API
  description: >-
    Explain documents in simple, plain or detailed language and create Knowledge
    Bases from your documents in 19 languages.
  termsOfService: https://www.totoy.ai
  contact:
    name: Totoy Support
    email: support@totoy.ai
  license:
    name: MIT
    url: https://raw.githubusercontent.com/totoy-ai/totoy-openapi/main/LICENSE
  version: 1.1.5
servers:
  - url: https://api.totoy.ai/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Explanation
    description: >-
      Given a document in any language, an output language and one of three
      language levels, the assistant will return an `Explanation` for this
      document.
  - name: Knowledge Bases
    description: >-
      Create `Knowledge Bases` from document or text `Sources` and chat with an
      assistant about them in 19 languages.
  - name: Sources
    description: >-
      `Sources` are used to upload documents (.pdf, .jpg or .png) or plain texts
      that can be used with features like `Explanation` or `Knowledge Bases.`
  - name: Projects
    description: '`Projects` are used to group `Knowledge Bases` and `Explanations`.'
  - name: Organization
    description: Get information about your `Organization`.
paths:
  /sources/{source_id}/content:
    get:
      tags:
        - Sources
      summary: Retrieves the content of a Source.
      description: The Source content can either be a plain text string or a document file.
      operationId: getSourceContent
      parameters:
        - $ref: '#/components/parameters/sourceIdParam'
      responses:
        '200':
          description: OK
          headers:
            Content-Disposition:
              description: Suggests a filename for the downloaded file when applicable.
              schema:
                type: string
                example: attachment; filename="example_document.pdf"
          content:
            application/pdf:
              schema:
                type: string
                format: binary
            image/jpeg:
              schema:
                type: string
                format: binary
            image/png:
              schema:
                type: string
                format: binary
            text/plain:
              schema:
                type: string
                description: Plain-text string of the `Text Source` content.
                example: Totoy GmbH was founded on November 8, 2023.
        4XX:
          $ref: '#/components/responses/general4XXResponse'
        5XX:
          $ref: '#/components/responses/general5XXResponse'
components:
  parameters:
    sourceIdParam:
      name: source_id
      in: path
      required: true
      schema:
        type: string
        maxLength: 29
        pattern: ^src_[a-zA-Z0-9]{25}$
      description: Unique identifier for a `Source` that was uploaded to Totoy.
      examples:
        source-id-example:
          $ref: '#/components/examples/source-id-example'
  responses:
    general4XXResponse:
      description: Client Error
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    general5XXResponse:
      description: Server Error
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  examples:
    source-id-example:
      summary: Source ID Example 2
      description: An example for a `source_id` for another PDF document source.
      value: src_oXiYDg8QOc9JsOk86idRXiywD
  schemas:
    Problem:
      title: Problem
      description: A Response Body for HTTP Problem Details in RFC 9457 format.
      type: object
      additionalProperties: false
      properties:
        type:
          description: A URI reference that identifies the problem type.
          type: string
          maxLength: 512
          example: https://docs.totoy.ai/probs/out-of-credit
        title:
          description: A short, human-readable summary of the problem type.
          type: string
          maxLength: 512
          example: You do not have enough credit.
        status:
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          type: integer
          format: int32
          example: 403
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type: string
          maxLength: 4096
          example: You do not have enough credit to perform this operation.
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          type: string
          maxLength: 512
          example: /projects/pj_avX7imfLaPcQnv5ckvGlOEBA9
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````